#############################################################################
# Makefile for building: wrl
# Generated by qmake (1.02a) on: Sun Jun 23 15:40:23 2002
# Project:  src.pro
# Template: lib
# Command: $(QMAKE) src.pro
#############################################################################

####### Compiler, tools and options

CC		=	cl
CXX		=	cl
LEX		= flex
YACC		= byacc
CFLAGS	=	-nologo -Zm200 -W0 -O1  
CXXFLAGS	=	-nologo -Zm200 /EHsc -W0 -O1  
LEXFLAGS	=
YACCFLAGS	=-d
INCPATH	=	 -I"..\include" -I"..\include\private" -I"..\mkspecs\win32-msvc" -I".tmp\\" -I"$(QTDIR)\mkspecs\win32-msvc"
LIB	=	lib /NOLOGO
MOC		=	$(QTDIR)\bin\moc.exe
UIC		=	$(QTDIR)\bin\uic.exe
QMAKE		=	qmake
IDC		=	$(QTDIR)\bin\idc.exe
IDL		=	midl
ZIP		=	zip -r -9
COPY_FILE	=       copy
COPY_DIR	=       copy
DEL_FILE	=       del
DEL_DIR	=       deltree
MOVE		=       move

####### Files

HEADERS =	..\include\cmdline.h \
		..\include\preferences.h \
		..\include\private\qapplication_p.h \
		..\include\private\qcom_p.h \
		..\include\private\qcomlibrary_p.h \
		..\include\private\qcomponentfactory_p.h \
		..\include\private\qdir_p.h \
		..\include\private\qgpluginmanager_p.h \
		..\include\private\qlibrary_p.h \
		..\include\private\qpluginmanager_p.h \
		..\include\private\qtextcodecinterface_p.h \
		..\include\private\qucom_p.h \
		..\include\private\qucomextra_p.h \
		..\include\qapplication.h \
		..\include\qasciicache.h \
		..\include\qasciidict.h \
		..\include\qbitarray.h \
		..\include\qbuffer.h \
		..\include\qcache.h \
		..\include\qcleanuphandler.h \
		..\include\qconfig.h \
		..\include\qconnection.h \
		..\include\qcstring.h \
		..\include\qdatastream.h \
		..\include\qdatetime.h \
		..\include\qdict.h \
		..\include\qdir.h \
		..\include\qdom.h \
		..\include\qevent.h \
		..\include\qfeatures.h \
		..\include\qfile.h \
		..\include\qfiledefs_p.h \
		..\include\qfileinfo.h \
		..\include\qgarray.h \
		..\include\qgcache.h \
		..\include\qgdict.h \
		..\include\qglist.h \
		..\include\qglobal.h \
		..\include\qguardedptr.h \
		..\include\qgvector.h \
		..\include\qhostaddress.h \
		..\include\qintcache.h \
		..\include\qintdict.h \
		..\include\qiodevice.h \
		..\include\qlibrary.h \
		..\include\qmap.h \
		..\include\qmemarray.h \
		..\include\qmetaobject.h \
		..\include\qmodules.h \
		..\include\qnamespace.h \
		..\include\qobject.h \
		..\include\qobjectdefs.h \
		..\include\qobjectlist.h \
		..\include\qpair.h \
		..\include\qpoint.h \
		..\include\qpointarray.h \
		..\include\qptrcollection.h \
		..\include\qptrdict.h \
		..\include\qptrlist.h \
		..\include\qptrqueue.h \
		..\include\qptrstack.h \
		..\include\qptrvector.h \
		..\include\qregexp.h \
		..\include\qrtlcodec.h \
		..\include\qsettings.h \
		..\include\qshared.h \
		..\include\qsignalslotimp.h \
		..\include\qsocketdevice.h \
		..\include\qstring.h \
		..\include\qstringlist.h \
		..\include\qstrlist.h \
		..\include\qt_windows.h \
		..\include\qtextcodec.h \
		..\include\qtextcodecfactory.h \
		..\include\qtextstream.h \
		..\include\qtl.h \
		..\include\qtranslator.h \
		..\include\qtsciicodec.h \
		..\include\qutfcodec.h \
		..\include\quuid.h \
		..\include\qvaluelist.h \
		..\include\qvaluestack.h \
		..\include\qvaluevector.h \
		..\include\qvariant.h \
		..\include\qwindowdefs.h \
		..\include\qwindowdefs_win.h \
		..\include\qxml.h \
		..\mkspecs\win32-msvc\qplatformdefs.h
SOURCES =	cmdline.cpp \
		codecs\qtextcodec.cpp \
		codecs\qtextcodecfactory.cpp \
		codecs\qtsciicodec.cpp \
		codecs\qutfcodec.cpp \
		kernel\qapplication.cpp \
		kernel\qconnection.cpp \
		kernel\qevent.cpp \
		kernel\qguardedptr.cpp \
		kernel\qmetaobject.cpp \
		kernel\qobject.cpp \
		kernel\qtranslator.cpp \
		kernel\qucomextra.cpp \
		kernel\qvariant.cpp \
		network\qhostaddress.cpp \
		network\qsocketdevice.cpp \
		preferences.cpp \
		tools\qbitarray.cpp \
		tools\qbuffer.cpp \
		tools\qcomlibrary.cpp \
		tools\qcomponentfactory.cpp \
		tools\qcstring.cpp \
		tools\qdatastream.cpp \
		tools\qdatetime.cpp \
		tools\qdir.cpp \
		tools\qfile.cpp \
		tools\qfileinfo.cpp \
		tools\qgarray.cpp \
		tools\qgcache.cpp \
		tools\qgdict.cpp \
		tools\qglist.cpp \
		tools\qglobal.cpp \
		tools\qgpluginmanager.cpp \
		tools\qgvector.cpp \
		tools\qiodevice.cpp \
		tools\qlibrary.cpp \
		tools\qmap.cpp \
		tools\qptrcollection.cpp \
		tools\qregexp.cpp \
		tools\qsettings.cpp \
		tools\qstring.cpp \
		tools\qstringlist.cpp \
		tools\qtextstream.cpp \
		tools\qucom.cpp \
		tools\quuid.cpp \
		xml\qdom.cpp \
		xml\qxml.cpp \
		kernel\qapplication_win.cpp \
		tools\qsettings_win.cpp \
		tools\qdir_win.cpp \
		tools\qfile_win.cpp \
		tools\qfileinfo_win.cpp \
		tools\qlibrary_win.cpp \
		network\qsocketdevice_win.cpp
OBJECTS =	.tmp\cmdline.obj \
		.tmp\qtextcodec.obj \
		.tmp\qtextcodecfactory.obj \
		.tmp\qtsciicodec.obj \
		.tmp\qutfcodec.obj \
		.tmp\qapplication.obj \
		.tmp\qconnection.obj \
		.tmp\qevent.obj \
		.tmp\qguardedptr.obj \
		.tmp\qmetaobject.obj \
		.tmp\qobject.obj \
		.tmp\qtranslator.obj \
		.tmp\qucomextra.obj \
		.tmp\qvariant.obj \
		.tmp\qhostaddress.obj \
		.tmp\qsocketdevice.obj \
		.tmp\preferences.obj \
		.tmp\qbitarray.obj \
		.tmp\qbuffer.obj \
		.tmp\qcomlibrary.obj \
		.tmp\qcomponentfactory.obj \
		.tmp\qcstring.obj \
		.tmp\qdatastream.obj \
		.tmp\qdatetime.obj \
		.tmp\qdir.obj \
		.tmp\qfile.obj \
		.tmp\qfileinfo.obj \
		.tmp\qgarray.obj \
		.tmp\qgcache.obj \
		.tmp\qgdict.obj \
		.tmp\qglist.obj \
		.tmp\qglobal.obj \
		.tmp\qgpluginmanager.obj \
		.tmp\qgvector.obj \
		.tmp\qiodevice.obj \
		.tmp\qlibrary.obj \
		.tmp\qmap.obj \
		.tmp\qptrcollection.obj \
		.tmp\qregexp.obj \
		.tmp\qsettings.obj \
		.tmp\qstring.obj \
		.tmp\qstringlist.obj \
		.tmp\qtextstream.obj \
		.tmp\qucom.obj \
		.tmp\quuid.obj \
		.tmp\qdom.obj \
		.tmp\qxml.obj \
		.tmp\qapplication_win.obj \
		.tmp\qsettings_win.obj \
		.tmp\qdir_win.obj \
		.tmp\qfile_win.obj \
		.tmp\qfileinfo_win.obj \
		.tmp\qlibrary_win.obj \
		.tmp\qsocketdevice_win.obj
FORMS =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	.tmp\moc_qapplication.cpp \
		.tmp\moc_qguardedptr.cpp \
		.tmp\moc_qobject.cpp \
		.tmp\qapplication_win.moc
OBJMOC	=	.tmp\moc_qapplication.obj \
		.tmp\moc_qguardedptr.obj \
		.tmp\moc_qobject.obj
DIST	=	
TARGET	=	..\lib\wrl.lib

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .c

.cpp.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<

.cxx.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<

.cc.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<

.c.obj:
	$(CC) -c $(CFLAGS) $(INCPATH) -Fo$@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LIB) /OUT:$(TARGET) @<<
	  $(OBJECTS) $(OBJMOC)
<<


mocables: $(SRCMOC)

Makefile: src.pro  $(QTDIR)\mkspecs\win32-msvc/qmake.conf 
	$(QMAKE) src.pro
qmake: 
	@$(QMAKE) src.pro

dist:
	$(ZIP) .zip .pro $(SOURCES) $(HEADERS) $(DIST) $(FORMS)

clean:
	-del .tmp\cmdline.obj
	-del .tmp\qtextcodec.obj
	-del .tmp\qtextcodecfactory.obj
	-del .tmp\qtsciicodec.obj
	-del .tmp\qutfcodec.obj
	-del .tmp\qapplication.obj
	-del .tmp\qconnection.obj
	-del .tmp\qevent.obj
	-del .tmp\qguardedptr.obj
	-del .tmp\qmetaobject.obj
	-del .tmp\qobject.obj
	-del .tmp\qtranslator.obj
	-del .tmp\qucomextra.obj
	-del .tmp\qvariant.obj
	-del .tmp\qhostaddress.obj
	-del .tmp\qsocketdevice.obj
	-del .tmp\preferences.obj
	-del .tmp\qbitarray.obj
	-del .tmp\qbuffer.obj
	-del .tmp\qcomlibrary.obj
	-del .tmp\qcomponentfactory.obj
	-del .tmp\qcstring.obj
	-del .tmp\qdatastream.obj
	-del .tmp\qdatetime.obj
	-del .tmp\qdir.obj
	-del .tmp\qfile.obj
	-del .tmp\qfileinfo.obj
	-del .tmp\qgarray.obj
	-del .tmp\qgcache.obj
	-del .tmp\qgdict.obj
	-del .tmp\qglist.obj
	-del .tmp\qglobal.obj
	-del .tmp\qgpluginmanager.obj
	-del .tmp\qgvector.obj
	-del .tmp\qiodevice.obj
	-del .tmp\qlibrary.obj
	-del .tmp\qmap.obj
	-del .tmp\qptrcollection.obj
	-del .tmp\qregexp.obj
	-del .tmp\qsettings.obj
	-del .tmp\qstring.obj
	-del .tmp\qstringlist.obj
	-del .tmp\qtextstream.obj
	-del .tmp\qucom.obj
	-del .tmp\quuid.obj
	-del .tmp\qdom.obj
	-del .tmp\qxml.obj
	-del .tmp\qapplication_win.obj
	-del .tmp\qsettings_win.obj
	-del .tmp\qdir_win.obj
	-del .tmp\qfile_win.obj
	-del .tmp\qfileinfo_win.obj
	-del .tmp\qlibrary_win.obj
	-del .tmp\qsocketdevice_win.obj
	-del .tmp\moc_qapplication.cpp
	-del .tmp\moc_qguardedptr.cpp
	-del .tmp\moc_qobject.cpp
	-del .tmp\qapplication_win.moc
	-del .tmp\moc_qapplication.obj
	-del .tmp\moc_qguardedptr.obj
	-del .tmp\moc_qobject.obj

####### Compile

.tmp\cmdline.obj: cmdline.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\cmdline.obj cmdline.cpp

.tmp\qtextcodec.obj: codecs\qtextcodec.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qtextcodec.obj codecs\qtextcodec.cpp

.tmp\qtextcodecfactory.obj: codecs\qtextcodecfactory.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qtextcodecfactory.obj codecs\qtextcodecfactory.cpp

.tmp\qtsciicodec.obj: codecs\qtsciicodec.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qtsciicodec.obj codecs\qtsciicodec.cpp

.tmp\qutfcodec.obj: codecs\qutfcodec.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qutfcodec.obj codecs\qutfcodec.cpp

.tmp\qapplication.obj: kernel\qapplication.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qapplication.obj kernel\qapplication.cpp

.tmp\qconnection.obj: kernel\qconnection.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qconnection.obj kernel\qconnection.cpp

.tmp\qevent.obj: kernel\qevent.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qevent.obj kernel\qevent.cpp

.tmp\qguardedptr.obj: kernel\qguardedptr.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qguardedptr.obj kernel\qguardedptr.cpp

.tmp\qmetaobject.obj: kernel\qmetaobject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qmetaobject.obj kernel\qmetaobject.cpp

.tmp\qobject.obj: kernel\qobject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qobject.obj kernel\qobject.cpp

.tmp\qtranslator.obj: kernel\qtranslator.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qtranslator.obj kernel\qtranslator.cpp

.tmp\qucomextra.obj: kernel\qucomextra.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qucomextra.obj kernel\qucomextra.cpp

.tmp\qvariant.obj: kernel\qvariant.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qvariant.obj kernel\qvariant.cpp

.tmp\qhostaddress.obj: network\qhostaddress.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qhostaddress.obj network\qhostaddress.cpp

.tmp\qsocketdevice.obj: network\qsocketdevice.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qsocketdevice.obj network\qsocketdevice.cpp

.tmp\preferences.obj: preferences.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\preferences.obj preferences.cpp

.tmp\qbitarray.obj: tools\qbitarray.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qbitarray.obj tools\qbitarray.cpp

.tmp\qbuffer.obj: tools\qbuffer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qbuffer.obj tools\qbuffer.cpp

.tmp\qcomlibrary.obj: tools\qcomlibrary.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qcomlibrary.obj tools\qcomlibrary.cpp

.tmp\qcomponentfactory.obj: tools\qcomponentfactory.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qcomponentfactory.obj tools\qcomponentfactory.cpp

.tmp\qcstring.obj: tools\qcstring.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qcstring.obj tools\qcstring.cpp

.tmp\qdatastream.obj: tools\qdatastream.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qdatastream.obj tools\qdatastream.cpp

.tmp\qdatetime.obj: tools\qdatetime.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qdatetime.obj tools\qdatetime.cpp

.tmp\qdir.obj: tools\qdir.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qdir.obj tools\qdir.cpp

.tmp\qfile.obj: tools\qfile.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qfile.obj tools\qfile.cpp

.tmp\qfileinfo.obj: tools\qfileinfo.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qfileinfo.obj tools\qfileinfo.cpp

.tmp\qgarray.obj: tools\qgarray.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qgarray.obj tools\qgarray.cpp

.tmp\qgcache.obj: tools\qgcache.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qgcache.obj tools\qgcache.cpp

.tmp\qgdict.obj: tools\qgdict.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qgdict.obj tools\qgdict.cpp

.tmp\qglist.obj: tools\qglist.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qglist.obj tools\qglist.cpp

.tmp\qglobal.obj: tools\qglobal.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qglobal.obj tools\qglobal.cpp

.tmp\qgpluginmanager.obj: tools\qgpluginmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qgpluginmanager.obj tools\qgpluginmanager.cpp

.tmp\qgvector.obj: tools\qgvector.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qgvector.obj tools\qgvector.cpp

.tmp\qiodevice.obj: tools\qiodevice.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qiodevice.obj tools\qiodevice.cpp

.tmp\qlibrary.obj: tools\qlibrary.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qlibrary.obj tools\qlibrary.cpp

.tmp\qmap.obj: tools\qmap.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qmap.obj tools\qmap.cpp

.tmp\qptrcollection.obj: tools\qptrcollection.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qptrcollection.obj tools\qptrcollection.cpp

.tmp\qregexp.obj: tools\qregexp.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qregexp.obj tools\qregexp.cpp

.tmp\qsettings.obj: tools\qsettings.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qsettings.obj tools\qsettings.cpp

.tmp\qstring.obj: tools\qstring.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qstring.obj tools\qstring.cpp

.tmp\qstringlist.obj: tools\qstringlist.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qstringlist.obj tools\qstringlist.cpp

.tmp\qtextstream.obj: tools\qtextstream.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qtextstream.obj tools\qtextstream.cpp

.tmp\qucom.obj: tools\qucom.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qucom.obj tools\qucom.cpp

.tmp\quuid.obj: tools\quuid.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\quuid.obj tools\quuid.cpp

.tmp\qdom.obj: xml\qdom.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qdom.obj xml\qdom.cpp

.tmp\qxml.obj: xml\qxml.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qxml.obj xml\qxml.cpp

.tmp\qapplication_win.obj: kernel\qapplication_win.cpp .tmp\qapplication_win.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qapplication_win.obj kernel\qapplication_win.cpp

.tmp\qsettings_win.obj: tools\qsettings_win.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qsettings_win.obj tools\qsettings_win.cpp

.tmp\qdir_win.obj: tools\qdir_win.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qdir_win.obj tools\qdir_win.cpp

.tmp\qfile_win.obj: tools\qfile_win.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qfile_win.obj tools\qfile_win.cpp

.tmp\qfileinfo_win.obj: tools\qfileinfo_win.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qfileinfo_win.obj tools\qfileinfo_win.cpp

.tmp\qlibrary_win.obj: tools\qlibrary_win.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qlibrary_win.obj tools\qlibrary_win.cpp

.tmp\qsocketdevice_win.obj: network\qsocketdevice_win.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\qsocketdevice_win.obj network\qsocketdevice_win.cpp

.tmp\moc_qapplication.obj: .tmp\moc_qapplication.cpp ..\include\qapplication.h ..\include\qasciidict.h \
		..\include\qobject.h \
		..\include\qtranslator.h \
		..\include\qstrlist.h \
		..\include\qstringlist.h \
		..\include\quuid.h \
		..\include\qgdict.h \
		..\include\qptrcollection.h \
		..\include\qstring.h \
		..\include\qglobal.h \
		..\include\qconfig.h \
		..\include\qmodules.h \
		..\include\qfeatures.h \
		..\include\qcstring.h \
		..\include\qmemarray.h \
		..\include\qgarray.h \
		..\include\qshared.h \
		..\include\qobjectdefs.h \
		..\include\qwindowdefs.h \
		..\include\qevent.h \
		..\include\qnamespace.h \
		..\include\qwindowdefs_win.h \
		..\include\qpair.h \
		..\include\qvaluelist.h \
		..\include\qtl.h \
		..\include\qdatastream.h \
		..\include\qtextstream.h \
		..\include\qiodevice.h \
		..\include\qptrlist.h \
		..\include\qglist.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\moc_qapplication.obj .tmp\moc_qapplication.cpp

.tmp\moc_qguardedptr.obj: .tmp\moc_qguardedptr.cpp ..\include\qguardedptr.h ..\include\qobject.h \
		..\include\qobjectdefs.h \
		..\include\qwindowdefs.h \
		..\include\qstring.h \
		..\include\qevent.h \
		..\include\qnamespace.h \
		..\include\qglobal.h \
		..\include\qconfig.h \
		..\include\qmodules.h \
		..\include\qfeatures.h \
		..\include\qwindowdefs_win.h \
		..\include\qcstring.h \
		..\include\qmemarray.h \
		..\include\qgarray.h \
		..\include\qshared.h \
		..\include\qpair.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\moc_qguardedptr.obj .tmp\moc_qguardedptr.cpp

.tmp\moc_qobject.obj: .tmp\moc_qobject.cpp ..\include\qobject.h ..\include\qobjectdefs.h \
		..\include\qwindowdefs.h \
		..\include\qstring.h \
		..\include\qevent.h \
		..\include\qnamespace.h \
		..\include\qglobal.h \
		..\include\qconfig.h \
		..\include\qmodules.h \
		..\include\qfeatures.h \
		..\include\qwindowdefs_win.h \
		..\include\qcstring.h \
		..\include\qmemarray.h \
		..\include\qgarray.h \
		..\include\qshared.h \
		..\include\qpair.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.tmp\moc_qobject.obj .tmp\moc_qobject.cpp

.tmp\moc_qapplication.cpp: $(MOC) ..\include\qapplication.h
	$(MOC) ..\include\qapplication.h -o .tmp\moc_qapplication.cpp

.tmp\moc_qguardedptr.cpp: $(MOC) ..\include\qguardedptr.h
	$(MOC) ..\include\qguardedptr.h -o .tmp\moc_qguardedptr.cpp

.tmp\moc_qobject.cpp: $(MOC) ..\include\qobject.h
	$(MOC) ..\include\qobject.h -o .tmp\moc_qobject.cpp

.tmp\qapplication_win.moc: $(MOC) kernel\qapplication_win.cpp
	$(MOC) kernel\qapplication_win.cpp -o .tmp\qapplication_win.moc

####### Install

install: all 

uninstall: 

